<?php
/**
 * Bilderverwaltung fr den Administrationsbereich(ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  function my_explode($delim, $str, $lim = 1)
  {
    if ($lim > -2) return explode($delim, $str, abs($lim));
    $lim = -$lim;
    $out = explode($delim, $str);
    if ($lim >= count($out)) return $out;
    $out = array_chunk($out, count($out) - $lim + 1);
    return array_merge(array(implode($delim, $out[0])), $out[1]);
  }   
  
  $upload = new BILDER;
  
  // Upload Stuff
  $uploaddir = ABSPATH.'uploads/';			//absoluter Pfad zum Upload-Verzeichnis -> ausgehend vom Admin Ordner!
	
	// UPLOAD
	if(isset($_FILES['upload']))
	{
		if($_FILES['upload']['size'] > 0 && $_FILES['upload']['size'] < 512000) 
		{
	    $upload = $upload->upload($uploaddir, 0666);
	    if(!$upload)
	    {
	      $meldung = 1;		
		    $meldungtxt = 'Fehler beim Hochladen der Datei!';
			}
	  }
		elseif($_FILES['upload']['size']  > 512000)
		{
		    $meldung = 1;
		    $meldungtxt = "Die Datei ist zu gross und wurde nicht auf den Server bertragen!";
		}
  }

	// ein Bild lschen
	if(!empty($_GET['delete']) && $_SESSION['userlevel'] >= 1) 
	{
	  $banned = array("///", "/.//", "/..//");	
	  @ preg_replace($banned, "", $_GET['delete']);
	  list($name, $typ) = my_explode(".", $_GET['delete'], -2);
	  if(file_exists($uploaddir.'images/'.$name.'.'.$typ)) 
	  {	  	  	
		  $unlink1 = @ unlink($uploaddir.'images/'.$name.'.'.$typ);
		  $meldung = 1;		 
		  if(!$unlink1)
		  {		    		    		
		    $meldungtxt = 'Fehler: Das Bild konnte nicht gelscht werden!';
		  }		 
		  else
		  {  		
		    $meldungtxt = 'Das Bild wurde gelscht!';	
		  } 		  
		} 
		if(file_exists($uploaddir.'thumbs/'.$name.'.thb.'.$typ)) 
	  {	  	  	
		  $unlink2 = @ unlink($uploaddir.'thumbs/'.$name.'.thb.'.$typ);
		  $meldung = 1;		 
		  if(!$unlink2)
		  {		    		    		
		    $meldungtxt = 'Fehler: Das Bild konnte nicht gelscht werden!';
		  }		 
		  else
		  {  		
		    $meldungtxt = 'Das Bild wurde gelscht!';	
		  } 		  
		}  	  
	}
	
	if($meldung)
  {
    echo '<div class="content_box">';
    echo '<div class="meldungen">Meldungen</div>';
    echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
    echo '</div>';
  }
?>

<div class="content_box">
	<div class="content_hline">Bilderverwaltung</div>
	  <div style="width:430px; margin:40px auto 40px auto; text-align:center;">	  	
		  <form enctype="multipart/form-data" action="bilder.php" method="post">
	  		<input name="upload" type="file" style="width:260px;"> <input type="submit" value="Senden">
			</form>
			<p style="font-size:11px;">(Erlaubte Bildformate: JPEG, GIF, PNG - maximale Grsse: 500KB)</p>
		</div>
		<div style="width:620px; margin:0 auto 40px auto; text-align:center;">			
	  <?php	             
	    $dir = ABSPATH.'uploads/images/';
	    $dirsize = 0;
	    $bilder = array();
 			if($fd = opendir($dir)) 
	    {
	      while (false !== ($images = readdir($fd))) 
	      {
	        list($name, $typ) = my_explode(".", $images, -2);
	        if($typ == "gif" || $typ == "jpg" || $typ == "png") 
	        {
	          array_push($bilder, $name.'.'.$typ);
	        }
	        $dirsize += round((filesize($dir.$images)/(1024*1024)), 2);
	      }      
	      closedir($fd);
	      
	      echo '<div style="margin:0 0 8px 0;">ca. '.$dirsize.'MB verbrauchter Speicherplatz bei '.count($bilder).' Bild(ern)';
	      
	         
	      $counter = 1;   
	      foreach($bilder AS $bild)
	      {
	      	list($name, $typ) = my_explode(".", $bild, -2);
	      	echo '<div style="float:left; text-align:center; width:75px; margin:3px; padding:0; border:3px solid #fff; background:#fff;">';
	        echo '<a href="'.WEBPATH.'uploads/images/'.$bild.'" title="'.$bild.' ('.round((filesize($dir.$bild)/1000), 1).' KB)"><img src="'.WEBPATH.'uploads/thumbs/'.$name.'.thb.'.$typ.'" border="0" /></a><br />';		        
	        if($_SESSION['userlevel'] >= 1) 
					{
	        	echo '<a href="bilder.php?delete='.$bild.'" onclick="return confirm(\'Soll das ausgewhlte Bild wirklich gelscht werden?\');">Lschen</a>';
	        }
	        echo '</div>';
	        $counter++;
	      }
	      echo '<div class="clear_left"></div>';
	    }
	  ?>
	  </div>
	</div>
</div>

<?php
  include "footer.php";
?>