<?php
/**
  *  - install/datenbank.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5.2
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch
  *  die Nutzung entstehen.
  *
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum)
  *  eingereicht werden.
  *
  ***********************************************************************/
  session_start();  
  if(isset($_SESSION["eula"]))
  {
    include "../system/expconf.php";
    $session_id = session_id();
    if(!isset($_SESSION["prefix"]) || empty($_SESSION["prefix"]))
    {
      $_SESSION["prefix"] = 'expblog_';
    }
  }
  else
  {
    header("location: index.php");
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>.:eXpBlog:. [Installation/SetUp]</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="install.css" type="text/css">
  </head>
<body>
<div id="main">

  <div id="head">
    <div id="help_links">
      <a href="http://www.expblog.net/" target="_blank">Home</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/forum" target="_blank">Forum</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/installation.html" target="_blank">Installationsanleitung</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/update.html" target="_blank">Hilfe zum UpDaten</a>
    </div>
    <div id="headline">     
      <div id="logo"><a href="http://www.expblog.net" target="_blank"><img src="logo.png" border="0" /></a></div>
      <div id="logotext"><p>Webinstaller f&uuml;r expblog <?=VERSION?></p></div>
      <div style="clear:left;"></div>
    </div>
  </div>

  <div id="container">
    
    <p>Lizenz -> Voraussetzungen -> <span class="active_cat">Datenbank</span> -> Dateiberechtigungen -> Konfiguration -> Abschluss</p>
       
    <h1><a href="voraussetzungen.php">&laquo;</a>&nbsp;&nbsp;Datenbank&nbsp;&nbsp;<a href="dateiberechtigungen.php">&raquo;</a></h1>
      
    <br />

    <p>Sie haben hier die Mglichkeit zwischen MYSQL oder SQLite als Datenbank Management System (DBMS) f&uuml;r Ihr Expblog 
      zu whlen. Die empfohlene Einstellung ist MYSQL, da sich die Implementierung von SQLite im Expblog noch in der Testphase befindet. 
      F&uuml;r Produktivsysteme ist SQLite daher nicht geeignet. Sie sollten SQLite nur im Notfall whlen z.B. aus Testzwecken oder wenn fr 
      Ihren Webspace kein MYSQL Server verfgbar ist.</p>
    <br />
    <h2>MYSQL (empfohlen)</h2>
    <p>Bitte geben Sie hier die Zugangsdaten zu Ihrer MYSQL Datenbank ein. Diese Daten erhalten Sie i.d.R. von Ihrem Webhoster. Einen anderen 
       Prefix mssen Sie nur einstellen, wenn mehrere Blogs parallel innerhalb einer Datenbank installiert werden sollen. Um Fehler zu vermeiden 
       achten Sie bei den Zugangsdaten auf Gross- und Kleinschreibung!</p>

    <div id="zugangsdaten">
      <form action="dateiberechtigungen.php" method="post">        
        <label for="host">Hostname</label><input type="text" class="text" name="host" size="25" value="<?=$_SESSION['host']?>" /><br />
        <label for="database">Datenbank</label><input type="text" class="text" name="database" size="25" value="<?=$_SESSION['database']?>" /><br />
        <label for="username">Benutzername</label><input type="text" class="text" name="username" size="25" value="<?=$_SESSION['username']?>" /><br />
        <label for="password">Passwort</label><input type="password" class="text" name="password" size="25" value="<?=$_SESSION['password']?>" /><br />
        <label for="prefix">Prefix<span class="small">(optional)</span></label><input type="text" class="text" name="prefix" size="25" value="<?=$_SESSION['prefix']?>" /><br />

        <input type="hidden" name="dbms" value="mysql" />
        <input type="hidden" name="session_id" value="<?=$session_id?>" />
        <input type="submit" value="MYSQL nutzen und mit der Installation fortfahren" class="submit" />
      </form>
    </div>

    <br />
    <h2>SQLite</h2>
    <p>Mit SQLite knnen Sie unabhngig von einem MYSQL Server das Expblog betreiben. Weitere Einstellungen wie Zugangsdaten ect.
       sind hier nicht erforderlich. Die SQLite Datenbank liegt anschliessend im Ordner <i>system</i> als Datei <i>expblog.sqlite.db</i>.
    </p>
    
    <br />
    
    <form action="dateiberechtigungen.php" method="post">
      <input type="hidden" name="dbms" value="sqlite" />
      <input type="hidden" name="session_id" value="<?=$session_id?>" />
      <input type="submit" value="SQLite nutzen und mit der Installation fortfahren" class="submit" />
    </form>

    <p id="footer">expblog <?=VERSION?> Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" style="text-decoration:none;" target="_blank">www.expblog.net</a></p>
  </div>
</div>
</body>
</html>