<?php
/**
  *  - install/konfiguration.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.6
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch
  *  die Nutzung entstehen.
  *
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum)
  *  eingereicht werden.
  *
  ***********************************************************************/
  session_start();  
  if(isset($_SESSION["eula"]))
  {
    include "../system/expconf.php";
    $session_id = session_id();  
    $webpath = str_replace('install/konfiguration.php', '', 'http://'.$_SERVER['SERVER_NAME'].htmlentities($_SERVER['PHP_SELF']));
    $abspath = realpath("../");
    if(false !== stristr(PHP_OS, 'win')) 
    {
      $abspath .= '\\';
    } 
    else
    {
      $abspath .= '/';
    }
  }
  else
  {
    header("location: index.php");
  }  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Expblog - Webinstaller</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="install.css" type="text/css">
  </head>
<body>
<div id="main">

  <div id="head">
    <div id="help_links">
      <a href="http://www.expblog.net/" target="_blank">Home</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/forum" target="_blank">Forum</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/installation.html" target="_blank">Installationsanleitung</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/update.html" target="_blank">Hilfe zum UpDaten</a>
    </div>
    <div id="headline">     
      <div id="logo"><a href="http://www.expblog.net" target="_blank"><img src="logo.png" border="0" /></a></div>
      <div id="logotext"><p>Webinstaller f&uuml;r expblog <?=VERSION?></p></div>
      <div style="clear:left;"></div>
    </div>
  </div>

  <div id="container">
    
    <form action="abschluss.php" method="post">
    
    <p>Lizenz -> Voraussetzungen -> Datenbank -> Dateiberechtigungen -> <span class="active_cat">Konfiguration</span> -> Abschluss</p>
       
    <h1><a href="dateiberechtigungen.php">&laquo;</a>&nbsp;&nbsp;Konfiguration&nbsp;&nbsp;<a href="abschluss.php">&raquo;</a></h1>
    
    <br />
    
    <p>Nehmen Sie hier die Basiseinstellungen f&uuml;r Ihr Expblog vor. Alle hier gettigten Einstellungen knnen nachtrglich im
       Administrationsbereich(ACP) des Expblogs wieder gendert werden.</p>
    
    <br />
    
    <h2>Administrator Konto</h2>
    <p>Hier haben Sie die Mglichkeit Ihr Administrator Konto einzurichten. Dieses "Blogbesitzer" Konto ist nachtrglich nicht mehr 
       lschbar. Sie knnen jedoch Benutzername und Passwort ndern. Wird whrend des Setups kein Konto angelegt, knnen Sie sich 
       spter mit dem Benutzernamen <b>admin</b> und dem Passwort <b>qwertz</b> in den Administrationsbereich einloggen.</p>
    
    <div id="account">
      <label for="admin">Adminname</label><input type="text" class="text" name="admin" size="25" /><br />
      <label for="adminpw">Adminpasswort</label><input type="password" class="text" name="adminpw" size="25" />
    </div>
    
    <h2>Pfadangaben</h2>
    <p>Kontrollieren Sie bitte die nachfolgenden automatisch ermittelte Pfadangaben auf ihre Gltigkeit. nderungen sind meist nur 
       ntig wenn z.B. das Verzeichnis in dem das Expblog betrieben werden soll ein anderes ist als das von dem aus es installiert 
       wird. <b>Beachten Sie bitte den abschliessenden Slash(/) beim Webpfad!</b></p>
    
    <div id="account">   
      <label for="webpath">Webpfad(URL):</label> <input type="text" class="text" name="webpath" size="25" value="<?=$webpath?>"/><br />
      <label for="abspath">Absoluter Pfad:</label> <input type="text" class="text" name="abspath" size="25" value="<?=$abspath?>"/><br />
    </div>     

    <h2>Blogtitel</h2>
    <p>Titel des Blogs. Wird angezeit in den Metaangaben als Titel und im Kopfbereich des Blogs.</p>
    <div id="account">  
      <label for="blogtitel">Blogtitel:</label> <input type="text" class="text" name="blogtitel" size="25" value="<?=$expconf['blogtitel']?>"/>
    </div>
       
    <h2>Demoeintrge</h2>
    <p>Entscheiden Sie hier ob Sie die Demoeintrge mit installieren. Die Demoeintrge zeigen die Mglichkeiten des Blogs auf und knnen 
       natrlich gelscht werden.</p>   
    <div id="account">  
      <input type="checkbox" name="demoeintraege" value="1" checked="checked">&nbsp;Demoeintrge mit installieren (empfohlen)
    </div>
         
    <h2>Impressum</h2> 
    <p>Sehr empfehlenswert fr Blogger aus Deutschland. Tragen Sie ggf. hier Ihre Kontaktdaten ein. Diese werden spter als Bild auf der 
       Seite dargestellt. Einem Missbrauch Ihrer Daten wird somit vorgebeugt.</p>   
    <div id="account">  
      <input type="checkbox" name="impstatus" value="1" checked="checked">&nbsp;Impressum aktivieren (empfohlen)<br /><br />
      <label for="impname">Name:</label> <input type="text" class="text" name="impname" size="25" value="<?=$expconf['impname']?>"/><br />
      <label for="impstr">Strasse/Nr:</label> <input type="text" class="text" name="impstr" size="25" value="<?=$expconf['impstr']?>"/><br />
      <label for="impplzort">PLZ/Stadt:</label> <input type="text" class="text" name="impplzort" size="25" value="<?=$expconf['impplzort']?>"/><br />
      <label for="impemail">Email:</label> <input type="text" class="text" name="impemail" size="25" value="<?=$expconf['impemail']?>"/>
    </div>
        
    <br /><br />  
   
      <input type="hidden" name="session_id" value="<?=$session_id?>" />
      <input type="hidden" name="install" value="1" />      
      <input type="submit" value="Jetzt die Installation abschliessen. Achtung: Ab hier gibt es kein zurck mehr!" class="submit" />
    </form>

    <p id="footer">expblog <?=VERSION?> Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" style="text-decoration:none;" target="_blank">www.expblog.net</a></p>
  </div>
</div>
</body>
</html>