<?php
/**
 * Templatedatei fr die Detailansicht
 *
 * @package     Expblog
 * @category    Template
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
if(!$details->hitcounter->checkIfBlocked($details->newsid)) $details->hitcounter->addHit($details->newsid);
?>
<div id="content">
  <h3 id="details_titel"><?=$details->news_titel?></h3>
  <p id="details_teaser"><?=$details->videoParser(html_entity_decode(abbc_proc($details->news_teaser)))?></p>
  <p id="details_body"><?=$details->videoParser(html_entity_decode(abbc_proc($details->news_nachricht)))?></p>
  <p id="details_footer">
    Eingereicht in
    <?php
      if($details->config['modrewrite']) echo '<a href="'.WEBPATH.'kategorie/'.$details->string2urlstring($details->news_kategorie).'">'.$details->news_kategorie.'</a> ';
      else echo '<a href="'.WEBPATH.'index.php?kategorie='.$details->string2urlstring($details->news_kategorie).'">' . $details->news_kategorie . '</a> ';
    ?>
    von
    <?php
      if($details->config['modrewrite']) echo '<a href="'.WEBPATH.'autor/'.$details->string2urlstring($details->news_author).'">'.$details->news_author.'</a> ';
      else echo '<a href="'.WEBPATH.'index.php?autor='.$details->string2urlstring($details->news_author).'">'.$details->news_author.'</a> ';
    ?>
    am <?=$details->news_time?>
  </p>
  <div id="details_nav">
    <?php
      if($details->news_last_valid_id > 0)
      {
        if($details->config['modrewrite']) echo '<img src="'.WEBPATH.$details->config['style_dir'].$details->config['style'].'/img/arrow_left.gif" alt="" border="0" align="absmiddle" />&nbsp;<a href="'.WEBPATH.'archiv/'.$details->news_year.'/'.$details->news_month.'/'.$details->news_day.'/'.$details->news_last_valid_id.'">'.$lang['details']['vorherigerartikel'].'</a>';
        else echo '<img src="'.WEBPATH.$details->config['style_dir'].$details->config['style'].'/img/arrow_left.gif" alt="" border="0" align="absmiddle" />&nbsp;<a href="'.WEBPATH.'details.php?id='.$details->news_last_valid_id.'">'.$lang['details']['vorherigerartikel'].'</a>';
      }
      else
      {
        echo '<img src="'.WEBPATH.$details->config['style_dir'].$details->config['style'].'/img/arrow_left_grey.gif" alt="" border="0" align="absmiddle" />&nbsp;'.$lang['details']['vorherigerartikel'];
      }
    ?>
    &nbsp;&nbsp;/&nbsp;&nbsp;
    <?php
      if($details->news_next_valid_id > 0)
      {
        if($details->config['modrewrite']) echo '<a href="'.WEBPATH.'archiv/'.$details->news_year.'/'.$details->news_month.'/'.$details->news_day.'/'.$details->news_next_valid_id.'">'.$lang['details']['naechsterartikel'].'</a>&nbsp;<img src="'.WEBPATH.$details->config['style_dir'].$details->config['style'].'/img/arrow_right.gif" alt="" border="0" align="absmiddle" />';
        else echo '<a href="'.WEBPATH.'details.php?id='.$details->news_next_valid_id.'">'.$lang['details']['naechsterartikel'].'</a>&nbsp;<img src="'.WEBPATH.$details->config['style_dir'].$details->config['style'].'/img/arrow_right.gif" alt="" border="0" align="absmiddle" />';
      }
      else
      {
        echo $lang['details']['naechsterartikel'].'&nbsp;<img src="'.WEBPATH.$details->config['style_dir'].$details->config['style'].'/img/arrow_right_grey.gif" alt="" border="0" align="absmiddle" />';
      }
    ?>
  </div>

  <?php if($details->config['kommentare']) { ?>
  <div id="details_comments">
    <?php
    // Kommentare abholen
    $x = false;
    foreach($details->comments->getComments($details->newsid) as $row => $comment):
      if(!$x)
      {
        echo '<div id="details_comments_headline">'.$lang['details']['kommentare']['headline'].'</div>';
        $x = true;
      }
      if(!empty($comment['homepage']))
      {
        $comment['homepage'] = ' (<a href="' . $comment['homepage'] . '" target="_blank">Homepage</a>)';
      }
      else
      {
        $comment['homepage'] = '';
      }
    ?>
      <a name="kommentare"></a>
      <div class="details_single_comment_container">
        <div class="details_single_comment_usericon" id="kommentar<?=$comment['id']?>"><img src="<?=WEBPATH?>system/images/icon_user.gif" alt="usericon" id="details_single_comment_usericon" /></div>
        <div class="details_single_comment_username"><?=substr(strip_tags($comment['name']),0,30)?></div>
        <div class="details_single_comment_userhomepage"><?=$comment['homepage']?></div>
        <div class="details_single_comment_createdatetime"><?=date("d/m/Y H:i:s",$comment['timestamp'])?></div>
        <div class="details_single_comment_comment"><?=html_entity_decode(abbc_proc($comment['kommentar']))?></div>
      </div>
    <?php endforeach; ?>
    </div>

    <a name="kommentieren"></a>
    <?php if($details->config['modrewrite']): ?>
      <form action="<?=WEBPATH?>archiv/<?=$details->news_year?>/<?=$details->news_month?>/<?=$details->news_day?>/<?=$details->newsid?>-<?=$output->string2urlstring($details->news_titel)?>#kommentieren" name="kommentarform" method="post" enctype="multipart/form-data" id="kommentieren">
    <?php else: ?>
     <form action="<?=WEBPATH?>details.php?id=<?=$details->newsid?>#kommentieren" name="kommentarform" method="post" enctype="multipart/form-data" id="kommentieren">
    <?php endif; ?>
    <input type="hidden" name="newsid" value="<?=$details->newsid?>" />

    <?php if($details->config['spamschutz']) { ?>
    <input type="hidden" name="captcha_session_code" value="<?=$details->captcha_session_code?>" />
    <div id="details_captcha">
      <div id="details_captcha_img">
        <img src="<?=WEBPATH ?>system/captcha.php?id=<?=$details->captcha_session_code ?>" id="details_captcha_img_tag" alt="captcha" />
      </div>
      <div id="details_captcha_txt"><?=$lang['details']['captcha_txt']?></div>
      <div class="clear_left"></div>
    </div>
    <?php } ?>


  <div id="details_comment_form">
    <input type="text" class="details_comment_form_text" name="name" value="<?=$details->kommentar_name?>" onclick="this.value=''" />
    <input type="text" class="details_comment_form_text" name="homepage" value="<?=$details->kommentar_homepage?>" onclick="this.value=''" class="medi" />
    <textarea name="kommentar" rows="10" cols="40"><?if(isset($_POST['kommentar'])) echo $_POST['kommentar']?></textarea>

    <div id="details_comment_buttons">
      <div id="bbcode_buttons">
        <input type="button" class="details_bbcode_buttons_short" value="B" onclick="javascript:insert('[b]', '[/b]')">
        <input type="button" class="details_bbcode_buttons_short" value="I" onclick="javascript:insert('[i]', '[/i]')">
        <input type="button" class="details_bbcode_buttons_short" value="U" onclick="javascript:insert('[u]', '[/u]')">
        &nbsp;&nbsp;<input type="button" class="details_bbcode_buttons_long" value="URL" onclick="javascript:insert('[url] ', ' [/url]')">
      </div>
      <div id="kommentar_button"><input type="submit" value="kommentieren" id="details_comment_submit"></div>
      <div class="clear_left"></div>
    </div>

    <div id="bbcode_smilies">
      <a href="javascript:insert(' :-) ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/smile.gif" style="border:0" alt=":-)" /></a>
      <a href="javascript:insert(' ;) ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/wink.gif" style="border:0" alt=";)" /></a>
      <a href="javascript:insert(' :cheesy: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" style="border:0" alt=":cheesy:" /></a>
      <a href="javascript:insert(' :D ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/grins.gif" style="border:0" alt=":D" /></a>
      <a href="javascript:insert(' :cool: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/cool.gif" style="border:0" alt=":cool:" /></a>
      <a href="javascript:insert(' :zzz: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/sleep.gif" style="border:0" alt=":zzz:" /></a>
      <a href="javascript:insert(' :angry: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/angry.gif" style="border:0" alt=":angry:" /></a>
      <a href="javascript:insert(' :cry: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/cry.png" style="border:0" alt=":cry:" /></a>
      <a href="javascript:insert(' :finger: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/finger.gif" style="border:0" alt=":finger:" /></a>
      <a href="javascript:insert(' :gaehn: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" style="border:0" alt=":gaehn:" /></a>
      <a href="javascript:insert(' :razz: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/razz.png" style="border:0" alt=":razz:" /></a>
      <a href="javascript:insert(' :rolleyes: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" style="border:0" alt=":rolleyes:" /></a>
      <a href="javascript:insert(' :sad: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/sad.gif" style="border:0" alt=":sad:" /></a>
      <a href="javascript:insert(' :shocked: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/shocked.gif" style="border:0" alt=":shocked:" /></a>
      <a href="javascript:insert(' :uhoh: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" style="border:0" alt=":uhoh:" /></a>
      <a href="javascript:insert(' :vogel: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/vogel.gif" style="border:0" alt=":vogel:" /></a>
      <a href="javascript:insert(' :wand: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/wand.gif" style="border:0" alt=":wand" /></a>
      <a href="javascript:insert(' :gun: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/gun.gif" style="border:0" alt=":gun:" /></a>
      <a href="javascript:insert(' :motz: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/motz.gif" style="border:0" alt=":motz:" /></a>
      <a href="javascript:insert(' :confuse: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/confuse.gif" style="border:0" alt=":confuse:" /></a>
      <a href="javascript:insert(' :type: ', '')" style="text-decoration:none;"><img src="<?=WEBPATH?>system/images/smilies/type.gif" style="border:0" alt=":type:" /></a>
    </div>

    <div id="details_comment_remember">
      <?php if(isset($_GET['remember']) || (!$_POST['remember'] && !$_COOKIE['EXP_COMMENTS_USERNAME'] && !$_COOKIE['EXP_COMMENTS_HOMEPAGE'])): ?>
        <input type="checkbox" name="remember" value="1" /> <?=$lang['details']['remember']['text1']?>
      <?php else: ?>
        <?=$lang['details']['remember']['text2']?> (<a href="<?=WEBPATH?>details.php?id=<?=$details->newsid?>&remember=0#kommentieren"><?=$lang['details']['remember']['text3']?></a>)
      <?php endif; ?>
    </div>

    </form>

  </div>

  <?php
      }
  ?>
</div>
<div id="plugins"><? $details->writePlugins($output, $lang); ?></div>