<?php
/**
 * Templatedatei fr den Blogheader(Metadaten,Navi,...)
 *
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/2000/REC-xhtml1-20000126/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="de" xml:lang="de">
<head>
<title><? echo $header->getMetaBlogtitel(); ?></title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-15" />
<meta http-equiv="content-style-type" content="text/css" />
<meta http-equiv="content-script-type" content="text/javascript" />
<meta name="description" content="<?=$header->config['meta_description']?>" />
<meta name="keywords" content="<?=$header->config['meta_keywords']?>" />
<meta name="robots" content="<?=$header->config['meta_robots']?>" />
<script type="text/javascript" src="<?=WEBPATH?>dhtml.js"></script>
<? if($header->config['rssstatus']): ?>
<link rel="alternate" type="application/rss+xml" title="RSS" href="<?=WEBPATH?>rss.xml" />
<? endif; ?>
<? foreach($header->stylefiles as $stylefile): ?>
<link rel="stylesheet" href="<?=$header->stylepath.$stylefile?>.css" type="text/css" />
<? endforeach; ?>
</head>
<body>
<div id="main">

<div id='boxtop'><div></div></div>
<div id="header">
  <div id="blogtitel"><a href="<?=WEBPATH?>index.php"><?=$header->config['blogtitel']?></a></div>
</div>
<div id="navbar">
  <div id="navi">
    <div id="navlinks">
      <ul>
        <li><a href="<?=WEBPATH?>index.php" class="medi" title="<?=$lang['header']['navlinks']['home']?>"><?=$lang['header']['navlinks']['home']?></a></li>
        <? if($header->config['suche']): ?>
          <li><a href="<?=WEBPATH?>suche.php" class="medi" title="<?=$lang['header']['navlinks']['suche']?>"><?=$lang['header']['navlinks']['suche']?></a></li>
        <? endif; ?>
        <? if($header->config['impstatus']): ?>
          <li><a href="<?=WEBPATH?>kontakt.php" class="medi" title="<?=$lang['header']['navlinks']['kontakt']?>"><?=$lang['header']['navlinks']['kontakt']?></a></li>
        <? endif; ?>
      </ul>
    </div>
    <? if($header->config['rssstatus']): ?>
      <div id="rssicon"><a href="<?=WEBPATH?>rss.xml" title="<?=$lang['header']['rssicon']?>"><img src="<?=$header->stylepath?>img/rss.png" border="0" /></a></div>
    <? endif; ?>
    <div class="clear_left"></div>
  </div>
</div>
<div id="mainbody">