<?php
/**
  *  - install/voraussetzungen.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5.2
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch
  *  die Nutzung entstehen.
  *
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum)
  *  eingereicht werden.
  *
  ***********************************************************************/
  session_start();  
  if(isset($_POST["eula"]))
  {
    include "../system/expconf.php";
    $session_id = session_id();
    $_SESSION["eula"] = 1;  
  }
  elseif(isset($_SESSION["eula"]))
  {
    include "../system/expconf.php";
    $session_id = session_id(); 
  }
  else
  {
    header("location: index.php");
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Expblog - Webinstaller</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="install.css" type="text/css">
  </head>
<body>
<div id="main">

  <div id="head">
    <div id="help_links">
      <a href="http://www.expblog.net/" target="_blank">Home</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/forum" target="_blank">Forum</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/installation.html" target="_blank">Installationsanleitung</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/update.html" target="_blank">Hilfe zum UpDaten</a>
    </div>
    <div id="headline">     
      <div id="logo"><a href="http://www.expblog.net" target="_blank"><img src="logo.png" border="0" /></a></div>
      <div id="logotext"><p>Webinstaller f&uuml;r expblog <?=VERSION?></p></div>
      <div style="clear:left;"></div>
    </div>
  </div>

  <div id="container">
    
    <p>Lizenz -> <span class="active_cat">Voraussetzungen</span> -> Datenbank -> Dateiberechtigungen -> Konfiguration -> Abschluss</p>
       
    <h1><a href="index.php">&laquo;</a>&nbsp;&nbsp;Voraussetzungen&nbsp;&nbsp;<a href="datenbank.php">&raquo;</a></h1>
    
    <br />
    
    <p>
      Dies ist eine berprfung Ihres Webspace auf die vom Expblog bentigte Serverumgebung. Bitte beachten Sie das fr einen einwandfreien Betrieb
      zwingend <b>PHP5</b> und <b>Register Globals off</b> erforderlich sind. Bei fehlender PHP Bibliothek <b>GD-Lib</b> ist eine Nutzung
      nur eingeschrnkt mglich, da keine Spamschutzfunktion zur Verfgung steht. Hier muss nach der Installation die Captcha-Spamschutzfunktion
      im Administrationsbereich des Blogs deaktiviert werden. <a href="http://www.expblog.net/register-globals.html">Hilfe zu Register Globals</a>
    </p>
<?php
echo '<table id="extensions">';
    $phpversion = phpversion();
    if ($phpversion >= 5)
    {
      echo '<tr><td class="td_left"><b>PHP >= 5</b></td><td class="td_right"><img src="../system/images/true.gif" />&nbsp;&nbsp;&nbsp;&nbsp;PHP5 verfgbar</td></tr>';
    }
    else
    {
      echo '<tr><td class="td_left"><b>PHP5</b></td><td class="td_right"><img src="../system/images/false.gif" />&nbsp;&nbsp;&nbsp;&nbsp;<p class="error_message">PHP5 nicht verfgbar</p></td></tr>';
    }
    if (!ini_get('register_globals'))
    {
      echo '<tr><td class="td_left"><b>Register Globals off</b></td><td class="td_right"><img src="../system/images/true.gif" />&nbsp;&nbsp;&nbsp;&nbsp;Register Globals deaktiviert</td></tr>';
    }
    else
    {
      echo '<tr><td class="td_left"><b>Register Globals off</b></td><td class="td_right"><img src="../system/images/false.gif" />&nbsp;&nbsp;&nbsp;&nbsp;<p class="error_message">Register Globals <b>aktiviert</b></p></td></tr>';
    }
    if (extension_loaded("gd"))
    {
      echo '<tr><td class="td_left"><b>GD-Lib</b>*</td><td class="td_right"><img src="../system/images/true.gif" />&nbsp;&nbsp;&nbsp;&nbsp;Captcha verfgbar</td></tr>';
    }
    else
    {
      echo '<tr><td class="td_left"><b>GD-Lib</b>*</td><td class="td_right"><img src="../system/images/false.gif" />&nbsp;&nbsp;&nbsp;&nbsp;<p class="error_message">Captcha nicht verfgbar</p></td></tr>';
    }
    echo '</table>';
?>
    <p id="info_text">
      * Fehlende PHP Bibliotheken(Libs) knnen nur vom Administrator eines Webservers installiert werden! Wenden Sie sich ggf. diesbezglich an Ihren Webhoster.
    </p>
    
    <br /><br />

    <form action="datenbank.php" method="post">
      <input type="hidden" name="session_id" value="<?=$session_id?>" />
      <input type="submit" value="Mit der Installation fortfahren" class="submit" />
    </form>

    <p id="footer">expblog <?=VERSION?> Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" style="text-decoration:none;" target="_blank">www.expblog.net</a></p>
  </div>
</div>
</body>
</html>