<?php
/**
 * "Weblinks" Plugin fr die Seitenleiste
 *
 * Dieses Plugin ist gedacht um eigenen HTML Inhalt, wie z.B. Links,
 * in das Expblog einzubinden. Alternativ auch das "Blogroll" Plugin
 * genutzt werden, welches per ACP verwaltet wird.
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function weblinks($output, $lang, $post, $get)
{
?>
<!-- Anfang Weblinks Plugin -->
<div id="plugin_weblinks">
<p id="plugin_weblinks_topic"><?=$lang['plugins']['weblinks']['title']?></p>
  <ul id="plugin_weblinks_liste">
    <li><a href="http://www.expblog.net" class="medi">eXpBlog Home</a></li>
    <li><a href="http://www.expblog.net/forum" class="medi">eXpBlog Forum</a></li>
    <li><a href="http://www.expblog.de/wiki" class="medi">eXpBlog WiKi</a></li>
  </ul>
</div>
<!-- Ende Weblinks Plugin -->
<?php } ?>
