<?php
/**
  *  - include/functions.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5.1
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski 
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *  
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und 
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch 
  *  die Nutzung entstehen.
  *  
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum) 
  *  eingereicht werden.
  *
  ***********************************************************************/

  //____________________________________________________________________________________________
  // 
  // Funktion zum Validieren der Laenge von Wrtern in Strings/Saetzen
  // Uebergiebt true wenn alle Woerter kleiner als $maxlenght sind,
  // andernfalls wird false zurueckgegeben
  //____________________________________________________________________________________________
  
  function wordLength($string, $maxlength)
  {
    $status = true;
    $string = explode(" ", $string);
    for($i=0; $i<count($string); $i++){
      if(strlen($string[$i]) > $maxlength)
      {
        $status = false;
        break;
      }
    }
    return $status;
  }         
    
  
  //____________________________________________________________________________________________
  // 
  // Umwandeln von Zeilenumbrchen aus Formularen in HTML Breaks
  //____________________________________________________________________________________________
   
  function br2nl($str) 
  {
    return ereg_replace("<br />", "", $str);
  }
  

  //____________________________________________________________________________________________
  // 
  // Funktion zum Ueberpruefen ob der uebergebene String '$cat' eine existierende Kategorie ist
  //____________________________________________________________________________________________ 

  function validCat($cat) 
  {  
    global $expblog_kategorien;
    
    $res = sql("SELECT * FROM $expblog_kategorien order by id asc");
    $num_rows = mysql_num_rows($res);
    if($num_rows >= 1) 
    {
      while($row = mysql_fetch_assoc($res)) 
      {
        extract($row);
        if($cat == $kategorie) 
        {
          return true;
        }
      }
      return false;
    }
    else 
    {
      return false;
    }
  }
  
  
  //____________________________________________________________________________________________
  // 
  // Diese Funktion wandelt Sonderzeichen und Umlaute in ihre HTML Entitten um.
  // Damit HTML weiterhin zur Formatierung verwendet werden kann, werden die
  // Tag-Klammern wieder zurck gewandelt. Anfhrungszeichen bleiben erhalten.
  //____________________________________________________________________________________________

  function convert2entities($string) 
  {
    $string = htmlentities($string, ENT_NOQUOTES);
    $string = ereg_replace("&lt;", "<", $string);
    $string = ereg_replace("&gt;", ">", $string);
    $string = ereg_replace("&quot;", "\"", $string);
    
    return $string;
  }
  

  //____________________________________________________________________________________________
  // 
  // Mit dieser Funktion werden leere Eintrge aus Arrays entfernt
  //____________________________________________________________________________________________ 

  function removeEmpty($array) 
  {
    $newarray = array();
    for($i=0; $i<count($array); $i++) 
    {
      if($array[$i] != "")
        array_push($newarray, $array[$i]);
    }

    return $newarray;
  }
    
  
  //____________________________________________________________________________________________
  // 
  // Auslesen des Benutzerlevels
  //____________________________________________________________________________________________ 
 
  function getUserlevel($username, $table) 
  {
    $result = sql("SELECT level FROM $table WHERE name='" . checkSql($username) . "'");
    $userlevel = mysql_fetch_array($result);

    return $userlevel['level'];
  }
  

  //____________________________________________________________________________________________
  // 
  // Funktion zum validieren der Zugehoerigkeit von Post/Kommentar zu User(name)
  // ToDo: Umbau auf Userid
  //____________________________________________________________________________________________ 

  function checkOwnerchip($id, $mode) 
  {  
    // Mode 0 :: Zugehrigkeit des Posts zum User pruefen
    if($mode == 'post') 
    {
      $res = sql("SELECT name FROM ".DB_TABLE_news." WHERE id = '".(int)$id."'");
      $row = mysql_fetch_row($res);   
      if(strtolower($row[0]) == strtolower($_SESSION['username']))
      {
        return true;
      }
        else
      {
        return false;
      }
    }
    
    // Mode 1 :: Zugehrigkeit der Kommentare zum User pruefen
    if($mode == 'comment') 
    {
      $res = sql("SELECT news FROM ".DB_TABLE_kommentare." WHERE id = '".(int)$id."'");
      $row = mysql_fetch_row($res);   
      if(checkOwnerchip($row[0], 'post'))
      {
        return true;
      }
        else
      {
        return false;
      }
    }
  }
  
?>