<?php
/**
 * Deutsche Sprachdatei fr das Expblog Standard Template
 *
 * @package     Expblog
 * @category    Template
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

  /**
   * Header (header.tpl.php)
   */
  $lang['header']['navlinks']['home'] = 'Home';
  $lang['header']['navlinks']['suche'] = 'Suche';
  $lang['header']['navlinks']['kontakt'] = 'Kontakt';
  $lang['header']['rssicon'] = 'RSS Feed';
  $lang['header']['rssicon']['a_title'] = 'RSS Feed';

  /**
   * Index (index.tpl.php)
   */
  $lang['index']['kommentare'] = 'Kommentare';
  $lang['index']['data_titel']['no_topic'] = '- Kein Titel -';
  $lang['index']['blaetterfunktion']['lastpage'] = '&auml;ltere Artikel';
  $lang['index']['blaetterfunktion']['nextpage'] = 'weitere Artikel';
  $lang['index']['add_comment'] = 'kommentieren';
  #$lang['index']['add_comment']['title'] = 'kommentieren'; //obsolet seit Version 0.6.3
  $lang['index']['index_post_weiter'] = 'weiterlesen';

  /**
   * Details (details.tpl.php)
   */
  $lang['details']['vorherigerartikel'] = 'vorheriger Artikel';
  $lang['details']['naechsterartikel'] = 'n&auml;chster Artikel';
  $lang['details']['kommentare']['headline'] = 'Kommentare:';
  #$lang['details']['kommentare']['userhomepage'] = 'http://optional.deine.homepage'; //obsolet seit Version 0.6.1
  $lang['details']['captcha_txt'] = 'Um Spam vorzubeugen geben Sie bitte den nebenstehenden Code in das Feld ein: <input type="text" name="captcha_pwd" id="details_captcha_pwd" value="" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#kommentieren" onclick="javascript:newCaptcha(\''.WEBPATH.'\')">Code nicht lesbar? Dann hier klicken!</a>';
  $lang['details']['remember']['text1'] = 'Name &amp; Homepage merken (Cookies ntig!)';
  $lang['details']['remember']['text2'] = 'Name &amp; Homepage gemerkt!';
  $lang['details']['remember']['text3'] = 'Cookies lschen';

  /**
   * Kontakt (kontakt.tpl.php)
   */
  $lang['kontakt']['titel'] = 'Impressum';
  $lang['kontakt']['daten']['image_alt'] = 'Impressum';
  $lang['kontakt']['formular']['name'] = 'Name';
  $lang['kontakt']['formular']['email'] = 'Email';
  $lang['kontakt']['formular']['subject'] = 'Betreff';
  $lang['kontakt']['formular']['message'] = 'Nachricht';
  $lang['kontakt']['formular']['submit_value'] = 'Senden';

  /**
   * Suche (suche.tpl.php)
   */
  $lang['suche']['input']['value'] = 'Suchbegriff';
  $lang['suche']['submit']['value'] = 'Los!';

  /**
   * Wartungsmodus (offline.tpl.php)
   */
  $lang['offline']['text'] = '<b>Hinweis:</b> Das Blog befindet sich momentan im Wartungsmodus.';

  /**
    * Footer (footer.tpl.php)
    */
  $lang['footer']['copyright'] = 'Expblog Freeware Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" title="Freeware Weblog Software" style="text-decoration:underline;">www.expblog.net</a>';

  /**
    * Plugin "Statistik" (plugins/statistik.php)
    */
  $lang['plugins']['statistik']['title'] = 'Statistik';
  $lang['plugins']['statistik']['posts'] = 'Artikel:';
  $lang['plugins']['statistik']['kategorien'] = 'Kategorien:';
  $lang['plugins']['statistik']['kommentare'] = 'Kommentare:';
  $lang['plugins']['statistik']['uptime'] = 'Uptime:';

  /**
    * Plugin "Zufallspost" (plugins/zufallspost.php)
    */
  $lang['plugins']['zufallspost']['title'] = 'Zufallsartikel';
  $lang['plugins']['zufallspost']['error'] = 'Es existieren noch keine Eintrge!';

  /**
    * Plugin "Weblinks" (plugins/weblinks.php)
    */
  $lang['plugins']['weblinks']['title'] = 'Weblinks';

  /**
    * Plugin "Meistgelesene" (plugins/meistgelesene.php)
    */
  $lang['plugins']['meistgelesene']['title'] = 'Meistgelesene Artikel';

  /**
    * Plugin "Kategorien" (plugins/kategorien.php)
    */
  $lang['plugins']['kategorien']['title'] = 'Kategorien';

  /**
   * Plugin "Kommentare" (plugins/kommentare.php)
   */
  $lang['plugins']['kommentare']['title'] = 'Die neuesten Kommentare';

  /**
   * Plugin "Autoren" (plugins/autoren.php)
   */
  $lang['plugins']['autoren']['title'] = 'Autoren';

  /**
   * Plugin "Blogroll" (plugins/blogroll.php)
   */
  $lang['plugins']['blogroll']['title'] = 'Blogroll';

  /**
   * Plugin "Lastnews" (plugins/lastnews.php)
   */
  $lang['plugins']['lastnews']['title'] = 'ltere Artikel';

  /**
   * Plugin "phpBB(3)" (plugins/phpbb.php)
   */
  $lang['plugins']['phpbb']['title'] = 'phpBB';

  /**
   * Plugin "Archiv" (plugins/archiv.php)
   */
  $lang['plugins']['archiv']['title'] = 'Archiv';
?>