<?php
/**
 * Templatedatei fr die Suche
 *
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
if($output->config['suche']):
?>
<div id="content">

  <div id="suche">

    <div id="suche_suchfeld">
      <!-- Suchfunktion -->
      <form action="suche.php" method="post" enctype="multipart/form-data">
        <input type="text" size="20" name="search" value="<?=$lang['suche']['input']['value']?>" onclick="this.value=''" id="suche_suchfeld_input" />
        <input type="submit" value="<?=$lang['suche']['submit']['value']?>" id="suche_suchfeld_submit" />
        <div class="clear_left"></div>
      </form>
      <!-- /Suchfunktion -->
    </div>

    <?php
      if(isset($_POST['search']))
      {
        $needle = htmlentities(strip_tags($_POST['search']));
        $res = $search->search($needle);
        if($res === false)
        {
          echo '<p id="suche_header">Die Suche war ungltig (z.b. durch Leereingabe) oder ergab kein Ergebnis';
        }
        else
        {
          echo '<p id="suche_header">Die Suche nach <b>'.$needle.'</b> ergab <u>'.count($res).'</u> Treffer</p>';
        }
        foreach($res as $row => $value)
        {
          $_id_ = $value[0];
          $_time_ = date("d.m.Y H:i:s", $value[1]);
          $_month_ = strftime("%B");
          if($output->config['modrewrite'])
          {
            $_author_ = '<a href="'.WEBPATH.'autor/'.$output->string2urlstring($value['username']).'">'.ucfirst($value['username']).'</a>';
          }
          else
          {
            $_author_ = '<a href="'.WEBPATH.'index.php?autor='.$output->string2urlstring($value['username']).'">'.ucfirst($value['username']).'</a>';
          }
          if($output->config['modrewrite'])
          {
            $_kategorie_ = '<a href="'.WEBPATH.'kategorie/'.$output->string2urlstring($value['kategorie']).'">'.$value['kategorie'].'</a>';
          }
          else
          {
            $_kategorie_ = '<a href="'.WEBPATH.'index.php?autor='.$output->string2urlstring($value['kategorie']).'">'.$value['kategorie'].'</a>';
          }
          $_titel_ = strip_tags($value[4]);
          $kommentare = $value['counter'];

          echo '<div class="suche_results">';
          if($output->config['modrewrite'])
          {
            echo '<p class="suche_result_titel"><a href="archiv/'.date("Y", $value['timestamp']).'/'.date("m", $value['timestamp']).'/'.date("d", $value['timestamp']).'/'.$_id_.'-'.$output->string2urlstring($value['titel']).'">'.$_titel_.'</a></p>';
          }
          else
          {
            echo '<p class="suche_result_titel"><a href="details.php?id='.$_id_.'">'.$_titel_.'</a></p>';
          }
          echo '<p class="suche_result_footer">Von '.$_author_.' am '.$_time_.' in '.$_kategorie_.'</p>';
          echo '</div>';

        }
      }
    ?>
  </div>
</div>
<div id="plugins"><? $output->writePlugins($output, $lang); ?></div>
<? endif; ?>